> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# v0-admin

> v0 Admin - User info, billing, reports, MCP servers, and rate limits

**Server path:** `/v0-admin` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                        | Description              |
| --------------------------------------------------------------------------- | ------------------------ |
| [`v0_admin_mcp_servers_create`](#v0_admin_mcp_servers_create)               | Create MCP Server        |
| [`v0_admin_mcp_servers_delete`](#v0_admin_mcp_servers_delete)               | Delete MCP Server        |
| [`v0_admin_mcp_servers_find`](#v0_admin_mcp_servers_find)                   | List MCP Servers         |
| [`v0_admin_mcp_servers_get_by_id`](#v0_admin_mcp_servers_get_by_id)         | Get MCP Server           |
| [`v0_admin_mcp_servers_update`](#v0_admin_mcp_servers_update)               | Update MCP Server        |
| [`v0_admin_rate_limits_find`](#v0_admin_rate_limits_find)                   | Find Rate Limit          |
| [`v0_admin_reports_get_aiusage`](#v0_admin_reports_get_aiusage)             | Get AI Usage Report      |
| [`v0_admin_reports_get_usage`](#v0_admin_reports_get_usage)                 | Get Usage Report         |
| [`v0_admin_reports_get_user_activity`](#v0_admin_reports_get_user_activity) | Get User Activity Report |
| [`v0_admin_user_get`](#v0_admin_user_get)                                   | Get User                 |
| [`v0_admin_user_get_billing`](#v0_admin_user_get_billing)                   | Get Billing              |
| [`v0_admin_user_get_plan`](#v0_admin_user_get_plan)                         | Get Plan                 |
| [`v0_admin_user_get_scopes`](#v0_admin_user_get_scopes)                     | Get User Scopes          |

***

## v0\_admin\_mcp\_servers\_create

Create MCP Server

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                  |
| ------------- | ------- | -------- | ------- | ------------------------------------------------------------ |
| `auth`        | object  | No       | —       | Authentication configuration. Defaults to no authentication. |
| `description` | string  | No       | —       | An optional description of the MCP server.                   |
| `enabled`     | boolean | No       | —       | Whether the MCP server is enabled. Defaults to true.         |
| `name`        | string  | Yes      | —       | The display name of the MCP server.                          |
| `scope`       | string  | No       | —       | The scope of the MCP server. Defaults to user.               |
| `url`         | string  | Yes      | —       | The URL of the MCP server. Must be HTTPS in production.      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "auth": {
        "description": "Authentication configuration. Defaults to no authentication."
      },
      "description": {
        "type": "string",
        "description": "An optional description of the MCP server."
      },
      "enabled": {
        "type": "boolean",
        "description": "Whether the MCP server is enabled. Defaults to true."
      },
      "name": {
        "type": "string",
        "description": "The display name of the MCP server."
      },
      "scope": {
        "type": "string",
        "description": "The scope of the MCP server. Defaults to user.",
        "enum": [
          "user",
          "team"
        ]
      },
      "url": {
        "type": "string",
        "description": "The URL of the MCP server. Must be HTTPS in production."
      }
    },
    "required": [
      "PCID",
      "name",
      "url"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_mcp\_servers\_delete

Delete MCP Server

**Parameters:**

| Parameter     | Type   | Required | Default | Description                         |
| ------------- | ------ | -------- | ------- | ----------------------------------- |
| `mcpServerId` | string | Yes      | —       | The ID of the MCP server to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "mcpServerId": {
        "type": "string",
        "description": "The ID of the MCP server to delete."
      }
    },
    "required": [
      "PCID",
      "mcpServerId"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_mcp\_servers\_find

List MCP Servers

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_mcp\_servers\_get\_by\_id

Get MCP Server

**Parameters:**

| Parameter     | Type   | Required | Default | Description                           |
| ------------- | ------ | -------- | ------- | ------------------------------------- |
| `mcpServerId` | string | Yes      | —       | The ID of the MCP server to retrieve. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "mcpServerId": {
        "type": "string",
        "description": "The ID of the MCP server to retrieve."
      }
    },
    "required": [
      "PCID",
      "mcpServerId"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_mcp\_servers\_update

Update MCP Server

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                |
| ------------- | ------- | -------- | ------- | ------------------------------------------ |
| `mcpServerId` | string  | Yes      | —       | The ID of the MCP server to update.        |
| `auth`        | object  | No       | —       | Authentication configuration.              |
| `description` | string  | No       | —       | An optional description of the MCP server. |
| `enabled`     | boolean | No       | —       | Whether the MCP server is enabled.         |
| `name`        | string  | No       | —       | The display name of the MCP server.        |
| `scope`       | string  | No       | —       | The scope of the MCP server.               |
| `url`         | string  | No       | —       | The URL of the MCP server.                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "mcpServerId": {
        "type": "string",
        "description": "The ID of the MCP server to update."
      },
      "auth": {
        "description": "Authentication configuration."
      },
      "description": {
        "type": "string",
        "description": "An optional description of the MCP server."
      },
      "enabled": {
        "type": "boolean",
        "description": "Whether the MCP server is enabled."
      },
      "name": {
        "type": "string",
        "description": "The display name of the MCP server."
      },
      "scope": {
        "type": "string",
        "description": "The scope of the MCP server.",
        "enum": [
          "user",
          "team"
        ]
      },
      "url": {
        "type": "string",
        "description": "The URL of the MCP server."
      }
    },
    "required": [
      "PCID",
      "mcpServerId"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_rate\_limits\_find

Find Rate Limit

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                               |
| --------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------- |
| `scope`   | string | No       | —       | The context or namespace to check rate limits for (e.g., a project slug or feature area). |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "scope": {
        "type": "string",
        "description": "The context or namespace to check rate limits for (e.g., a project slug or feature area)."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_reports\_get\_aiusage

Get AI Usage Report

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                          |
| --------- | ------- | -------- | ------- | -------------------------------------------------------------------- |
| `start`   | string  | No       | —       | Inclusive start datetime filter.                                     |
| `end`     | string  | No       | —       | Exclusive end datetime filter.                                       |
| `cursor`  | string  | No       | —       | Opaque cursor returned by a previous request for forward pagination. |
| `limit`   | integer | No       | —       | Maximum number of rows to return.                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "start": {
        "type": "string",
        "description": "Inclusive start datetime filter."
      },
      "end": {
        "type": "string",
        "description": "Exclusive end datetime filter."
      },
      "cursor": {
        "type": "string",
        "description": "Opaque cursor returned by a previous request for forward pagination."
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of rows to return."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_reports\_get\_usage

Get Usage Report

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                      |
| ----------- | ------ | -------- | ------- | ------------------------------------------------ |
| `startDate` | string | No       | —       | Query parameter "startDate"                      |
| `endDate`   | string | No       | —       | Query parameter "endDate"                        |
| `chatId`    | string | No       | —       | Query parameter "chatId"                         |
| `messageId` | string | No       | —       | Query parameter "messageId"                      |
| `userId`    | string | No       | —       | Query parameter "userId"                         |
| `limit`     | number | No       | —       | Query parameter "limit"                          |
| `cursor`    | string | No       | —       | Base64 encoded cursor containing pagination data |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "startDate": {
        "type": "string",
        "description": "Query parameter \"startDate\""
      },
      "endDate": {
        "type": "string",
        "description": "Query parameter \"endDate\""
      },
      "chatId": {
        "type": "string",
        "description": "Query parameter \"chatId\""
      },
      "messageId": {
        "type": "string",
        "description": "Query parameter \"messageId\""
      },
      "userId": {
        "type": "string",
        "description": "Query parameter \"userId\""
      },
      "limit": {
        "type": "number",
        "description": "Query parameter \"limit\""
      },
      "cursor": {
        "type": "string",
        "description": "Base64 encoded cursor containing pagination data"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_reports\_get\_user\_activity

Get User Activity Report

**Parameters:**

| Parameter   | Type   | Required | Default | Description                 |
| ----------- | ------ | -------- | ------- | --------------------------- |
| `startDate` | string | No       | —       | Query parameter "startDate" |
| `endDate`   | string | No       | —       | Query parameter "endDate"   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "startDate": {
        "type": "string",
        "description": "Query parameter \"startDate\""
      },
      "endDate": {
        "type": "string",
        "description": "Query parameter \"endDate\""
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_user\_get

Get User

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_user\_get\_billing

Get Billing

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                             |
| --------- | ------ | -------- | ------- | ----------------------------------------------------------------------- |
| `scope`   | string | No       | —       | Filters billing data by a specific scope, such as a project ID or slug. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "scope": {
        "type": "string",
        "description": "Filters billing data by a specific scope, such as a project ID or slug."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_user\_get\_plan

Get Plan

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## v0\_admin\_user\_get\_scopes

Get User Scopes

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>
